"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
const path = require("path");
class Issue extends vscode.TreeItem {
    constructor(label, issueId, body, issueState, assignee, labels, collapsibleState, command) {
        super(label, collapsibleState);
        this.label = label;
        this.issueId = issueId;
        this.body = body;
        this.issueState = issueState;
        this.assignee = assignee;
        this.labels = labels;
        this.collapsibleState = collapsibleState;
        this.command = command;
        this.iconPath = {
            light: this.labelDependentIcon(),
            dark: this.labelDependentIcon(true)
        };
        this.contextValue = 'issue';
    }
    get tooltip() {
        return this.label + " - " + this.assignee;
    }
    labelDependentIcon(dark = false) {
        let filename = "";
        if (this.labels.length === 0) {
            filename = "issue";
        }
        else {
            this.labels[0].name.toLowerCase() === "feature" ? filename = "feature" : filename = this.labels[0].name.toLowerCase() === "bug" ? "bug" : "issue";
        }
        return path.join(__filename, '..', '..', 'resources', dark ? 'dark' : 'light', filename + '.svg');
    }
}
exports.Issue = Issue;
//# sourceMappingURL=issue.js.map